tail-dont-use-dash-one-20031114
authorDerrick Brashear <shadow@dementia.org>
Sat, 15 Nov 2003 03:02:23 +0000 (03:02 +0000)
committerDerrick Brashear <shadow@dementia.org>
Sat, 15 Nov 2003 03:02:23 +0000 (03:02 +0000)
FIXES 2453

new tail axes -1 support

acinclude.m4

index 58dcb8b..387e500 100644 (file)
@@ -110,10 +110,10 @@ case $system in
                   fi
                 fi
                 if test -f "$LINUX_KERNEL_PATH/include/linux/version.h"; then
-                 linux_kvers=`fgrep UTS_RELEASE $LINUX_KERNEL_PATH/include/linux/version.h |awk 'BEGIN { FS="\"" } { print $[]2 }'|tail -1`
+                 linux_kvers=`fgrep UTS_RELEASE $LINUX_KERNEL_PATH/include/linux/version.h |awk 'BEGIN { FS="\"" } { print $[]2 }'|tail -n 1`
                  if test "x$linux_kvers" = "x"; then
                    if test -f "$LINUX_KERNEL_PATH/include/linux/version-up.h"; then
-                     linux_kvers=`fgrep UTS_RELEASE $LINUX_KERNEL_PATH/include/linux/version-up.h |awk 'BEGIN { FS="\"" } { print $[]2 }'|tail -1`
+                     linux_kvers=`fgrep UTS_RELEASE $LINUX_KERNEL_PATH/include/linux/version-up.h |awk 'BEGIN { FS="\"" } { print $[]2 }'|tail -n 1`
                      if test "x$linux_kvers" = "x"; then
 
                        AC_MSG_ERROR(Linux headers lack version definition [2])